Subject: bug#13651: Emacs pretest 24.2.93

From: Glenn Morris <[email-masked]>
Date: Thu, 07 Feb 2013 16:11:35 -0500

First, there is zero need to cc emacs-devel on bug reports.

"Ota, Takaaki" wrote:

> "make bootstrap" fails.

You don't need to bootstrap a pretest. Why are you doing that?
Just configure; make; make install.

> make[1]: Entering directory `/home/ota/emacs/build/emacs-24.2.93/oldXMenu'
> make[1]: *** No rule to make target `maintainer-clean'.  Stop.

There is a maintainer-clean rule in oldXMenu/Makefile.in, so I don't
know why this happened to you. Did oldXMenu/Makefile exist?

> make[1]: Entering directory `/home/ota/emacs/build/emacs-24.2.93/src'
> make[1]: *** No rule to make target `distclean'.  Stop.

I guess you already deleted your src/Makefile at this point.

I'm pretty confused as to what you are doing. Did you just extract the
tarfile and run `make bootstrap'? You need to configure, then make, then
make install, as is standard.